/*
 * Tencent is pleased to support the open source community by making QMUI_Android available.
 *
 * Copyright (C) 2017-2018 THL A29 Limited, a Tencent company. All rights reserved.
 *
 * Licensed under the MIT License (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 *
 * http://opensource.org/licenses/MIT
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is
 * distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language governing permissions and
 * limitations under the License.
 */


package com.bonait.bnframework.modules.home.fragment.mode;

import com.qmuiteam.qmui.widget.section.QMUISection;

/**
 * 选中头
 */
public class SectionHeader implements QMUISection.Model<SectionHeader> {

    private String tvText;
    private String tvDate;
    private String tvTotalAmount;
    public SectionHeader(String name1, String name2, String name3) {
        this.tvText = name1;
        this.tvDate = name2;
        this.tvTotalAmount = name3;
    }

    public String getText() {
        return tvText;
    }

    public String getDate() {
        return tvDate;
    }

    public String getTotalAmount() {
        return tvTotalAmount;
    }

    @Override

    public SectionHeader cloneForDiff() {
        return new SectionHeader(getText(), getDate(), getTotalAmount());
    }

    @Override
    public boolean isSameItem(SectionHeader other) {
        return tvText == other.tvText || (tvText != null && tvText.equals(other.tvText))
                && tvDate == other.tvDate || (tvDate != null && tvDate.equals(other.tvDate))
                && tvTotalAmount == other.tvTotalAmount || (tvTotalAmount != null && tvTotalAmount.equals(other.tvTotalAmount));
    }
    @Override
    public boolean isSameContent(SectionHeader other) {
        return true;
    }
}
